{
  "name": "@odit/lfk-document-server",
  "version": "0.1.2",
  "description": "The document generation server for the LfK! runner system. This generates certificates, sponsoring aggreements and more",
  "main": "src/app.ts",
  "scripts": {
    "dev": "nodemon src/app.ts",
    "build": "rimraf ./dist && tsc && cp-cli ./src/templates ./dist/templates && cp-cli ./src/locales ./dist/locales",
    "licenses:export": "license-exporter --markdown",
    "release": "release-it --only-version",
    "translations:sort": "node sort_translations.js"
  },
  "repository": {
    "type": "git",
    "url": "git@git.odit.services:lfk/document-server.git"
  },
  "keywords": [
    "odit",
    "lfk",
    "pdf",
    "generate"
  ],
  "author": {
    "name": "ODIT.Services",
    "email": "info@odit.services",
    "url": "https://odit.services"
  },
  "contributors": [
    {
      "name": "Philipp Dormann",
      "email": "philipp@philippdormann.de",
      "url": "https://philippdormann.de"
    },
    {
      "name": "Nicolai Ort",
      "email": "info@nicolai-ort.com",
      "url": "https://nicolai-ort.com"
    }
  ],
  "license": "CC-BY-NC-SA-4.0",
  "dependencies": {
    "@odit/class-validator-jsonschema": "^2.1.1",
    "axios": "^0.21.1",
    "cheerio": "^1.0.0-rc.5",
    "class-transformer": "0.3.1",
    "class-validator": "^0.13.1",
    "consola": "^2.15.0",
    "cors": "^2.8.5",
    "dotenv": "^8.2.0",
    "express": "^4.17.1",
    "handlebars": "^4.7.6",
    "i18next": "^19.8.7",
    "i18next-fs-backend": "^1.0.8",
    "mime-types": "^2.1.28",
    "pdf-lib": "^1.16.0",
    "puppeteer": "^7.0.1",
    "reflect-metadata": "^0.1.13",
    "routing-controllers": "^0.9.0-alpha.6",
    "routing-controllers-openapi": "^2.2.0"
  },
  "devDependencies": {
    "@odit/license-exporter": "^0.0.9",
    "@types/express": "^4.17.11",
    "@types/node": "^14.14.22",
    "@types/puppeteer": "^5.4.3",
    "cp-cli": "^2.0.0",
    "nodemon": "^2.0.7",
    "release-it": "^14.2.2",
    "rimraf": "^3.0.2",
    "ts-node": "^9.1.1",
    "typescript": "^4.1.3"
  },
  "release-it": {
    "git": {
      "commit": true,
      "requireCleanWorkingDir": false,
      "commitMessage": "🚀Bumped version to v${version}",
      "requireBranch": "dev",
      "push": false,
      "tag": false
    },
    "npm": {
      "publish": false
    }
  }
}
